Bug 253433 - games/uhexen2: add missing patches and take maintainership
Summary: games/uhexen2: add missing patches and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-11 12:12 UTC by Igor Pokrovsky
Modified: 2021-02-16 17:47 UTC (History)
2 users (show)

See Also:


Attachments
Patch (10.16 KB, patch)
2021-02-11 12:12 UTC, Igor Pokrovsky
no flags Details | Diff
Patch (8.75 KB, patch)
2021-02-12 17:02 UTC, Igor Pokrovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Igor Pokrovsky 2021-02-11 12:12:28 UTC
Created attachment 222364 [details]
Patch

1. Added missing patches, which are fixing some problems in original game maps.
2. Added option to build h2patch tool. It can be used to patch old game files to the latest version.
3. Take maintainship of the port.
Comment 1 Automation User 2021-02-11 12:39:41 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/254830297
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-11 14:56:44 UTC
Hi Igor, thanks for the patch. Would you mind having a look at this issues?

^Triage: Simplifying title

Q/A:  /tmp/253433/games/uhexen2/pkg-plist: [29]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [30]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [31]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [32]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [33]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [34]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [35]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [36]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [37]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [38]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [39]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [40]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [41]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [42]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [43]: whitespace before end of line.
 /tmp/253433/games/uhexen2/pkg-plist: [44]: whitespace before end of line.


^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html




Thanks!
Comment 3 Igor Pokrovsky 2021-02-12 17:02:53 UTC
Created attachment 222394 [details]
Patch

Hi Fernando,

Sorry for these copy/paste errors. Strange, I haven't seen those errors on my 12-STABLE. But now it should be fine.
Comment 4 Igor Pokrovsky 2021-02-12 17:32:26 UTC
Portlint passes successfully. 
But I cannot test on poudriere because of limited amount of memory on my machine (llvm package build process always gets killed).
Comment 5 Igor Pokrovsky 2021-02-15 19:03:06 UTC
Hello Fernando,

Finally I have managed to complete poudriere. Looks fine. Please check.
Comment 6 Fernando Apesteguía freebsd_committer 2021-02-16 17:46:45 UTC
Committed,

Thanks!
Comment 7 commit-hook freebsd_committer 2021-02-16 17:47:36 UTC
A commit references this bug:

Author: fernape
Date: Tue Feb 16 17:46:35 UTC 2021
New revision: 565431
URL: https://svnweb.freebsd.org/changeset/ports/565431

Log:
  games/uhexen2: add missing patches and set maintainership

  Submitter becomes maintainer, already maintainer of other ports.

  PR:	253433
  Submitted by:	ip@unixway.org

Changes:
  head/games/uhexen2/Makefile
  head/games/uhexen2/files/Makefile
  head/games/uhexen2/files/patch-h2patch_Makefile
  head/games/uhexen2/files/patch-h2patch_h2patch3.c
  head/games/uhexen2/files/pkg-message.in
  head/games/uhexen2/pkg-plist